;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; BKS2P
;
; Funktion vereinfach den AutoCAD-Befehl BKS mit Angabe von 3 Punkten zur
; Ausrichtung, indem es den dritten Punkt automatisch berechnet.
;
; Aufruf: BKS2P
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; (c) Dipl.-Ing.  Volker Kleppel
; http://www.cadwerk.com
; vkleppel@gmx.de
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Version: 1.1                      Datum: 20.05.2018
; AutoCAD12   [ ]  AutoCAD14   [x]  AutoCAD2000(i) [x]   
; AutoCAD2002 [x]  AutoCAD2004 [x]  AutoCAD2005    [x]
; AutoCAD2006 [x]  AutoCAD2007 [x]  AutoCAD2008    [x]
; AutoCAD2009 [x]  AutoCAD2010 [x]  AutoCAD2011    [x]
; AutoCAD2012 [x]  AutoCAD2013 [x]  AutoCAD2014    [x]
; AutoCAD2015 [x]  AutoCAD2016 [x]  AutoCAD2017    [x]
; AutoCAD2018 [x]  AutoCAD2019 [x]
; Freeware    [x]  Shareware   [ ]
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

(defun c:BKS2P ( / p1 p2 p3 radius1 radius2)

	(setq p1 (getpoint "\nErsten Punkt zeigen:")
	      p2 (getpoint "\nZweiten Punkt zeigen:")
	)
	(princ "\nBKS wird gedreht ...")

	(setq radius1 (angle p1 p2)
	      radius1 (+ radius1 (/ pi 2))
	           p3 (polar p2 radius1 100)
	)
	(command "_.UCS" "_3P" p1 p2 p3)
	(princ)
)

(princ BKS2P- (c) Dipl.-Ing. V. Kleppel, www.cadwerk.com")
(princ "\nAufruf: bks2p")
(print)
